package example.org.spacciodescans;

import android.content.ContentResolver;
import android.content.ContentValues;
import android.content.Context;

import org.json.JSONArray;
import org.json.JSONException;

import java.io.BufferedReader;
import java.io.IOException;
import java.io.InputStream;
import java.io.InputStreamReader;
import java.net.HttpURLConnection;
import java.net.URL;
import java.util.ArrayList;

/**
 * Created by kowalsky on 6/11/15.
 */
public class AccesoBaseDatosRemota {
    private Context context;
    private ContentResolver cr;
    private ArrayList<String> productsAvailable;

    public AccesoBaseDatosRemota(Context context){
        this.context = context;
    }

    public void accederBBDD(){
        productsAvailable = new ArrayList<>();
        cr = context.getContentResolver();
        cr.delete(ProveedorContenido.CONTENT_URI, null, null);
        String chaine = "";
        try{
            URL url = new URL("http://spacciodescans.esy.es/productos/getData3.php");
            HttpURLConnection connection = (HttpURLConnection)url.openConnection();
            connection.setRequestProperty("User-Agent", "");
            connection.setRequestMethod("POST");
            connection.setDoInput(true);
            connection.connect();

            InputStream inputStream = connection.getInputStream();

            BufferedReader rd = new BufferedReader(new InputStreamReader(inputStream));
            String line;
            while ((line = rd.readLine()) != null) {
                chaine += line;
            }
            String[] str = new String[8];
            JSONArray json= new JSONArray(chaine);
            for(int i=0; i<json.length(); i++){
                str[0] = json.getJSONObject(i).getString("_id");
                str[1] = json.getJSONObject(i).getString("nombre");
                str[2] = json.getJSONObject(i).getString("descripcion");
                str[3] = json.getJSONObject(i).getString("precio");
                str[4] = json.getJSONObject(i).getString("oferta");
                str[5] = json.getJSONObject(i).getString("categoria");
                str[6] = json.getJSONObject(i).getString("texto");
                str[7] = json.getJSONObject(i).getString("photo");

                insertInBBDD(str);
            }

        } catch (IOException | JSONException e) {
            e.printStackTrace();
        }
    }
    private void insertInBBDD(String[] str){

        ContentValues values = new ContentValues();
        values.put(ProveedorContenido.COL_ID, str[0]);
        values.put(ProveedorContenido.COL_NOMBRE, str[1]);
        values.put(ProveedorContenido.COL_DESCRIPCION, str[2]);
        values.put(ProveedorContenido.COL_PRECIO, str[3]);
        values.put(ProveedorContenido.COL_OFERTA, str[4]);
        values.put(ProveedorContenido.COL_CATEGORIA, str[5]);
        values.put(ProveedorContenido.COL_TEXTO, str[6]);
        values.put(ProveedorContenido.COL_PHOTO, str[7]);
        cr.insert(ProveedorContenido.CONTENT_URI, values);



    }


}
