package example.org.spacciodescans;

import android.content.ContentResolver;
import android.database.Cursor;
import android.graphics.Bitmap;
import android.graphics.BitmapFactory;
import android.os.Bundle;
import android.support.v7.app.AppCompatActivity;
import android.support.v7.widget.Toolbar;
import android.util.Base64;
import android.view.Menu;
import android.view.MenuItem;
import android.widget.ImageView;
import android.widget.TextView;

/**
 * Created by kowalsky on 6/11/15.
 */

public class ActividadDetalle extends AppCompatActivity {

    public static final String EXTRA_ID = "com.example.org.spacciodescans.extra.ID";

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.actividad_detalle);

        usarToolbar();

        // Obtener instancias de cada view
        TextView precio = (TextView) findViewById(R.id.preciodetalle);
        TextView descripcion = (TextView) findViewById(R.id.descripciondetalle);
        ImageView imagen = (ImageView) findViewById(R.id.productImageView);
        TextView texto = (TextView) findViewById(R.id.textolargo);

        Bundle extras = getIntent().getExtras();
        String aux = extras.getString("id");
        assert aux != null;
        int id = Integer.parseInt(aux);

        ContentResolver cr = this.getContentResolver();
        String where = ProveedorContenido.COL_ID + " = " + id;
        final Cursor cursor = cr.query(ProveedorContenido.CONTENT_URI, null, where, null, null);

        if(cursor != null && cursor.moveToNext()){
            setTitle(cursor.getString(1));
            precio.setText(cursor.getString(2));
            descripcion.setText(cursor.getString(3)+"€");
            texto.setText(cursor.getString(6));
            imagen.setImageBitmap(setPhoto(cursor.getString(7)));
            cursor.close();
        }
    }

    private Bitmap setPhoto(String imagen) {
        Bitmap aux=null;
        try{
            byte[] byteData = Base64.decode(imagen, Base64.DEFAULT);
            aux = BitmapFactory.decodeByteArray(byteData, 0, byteData.length);
        } catch (Exception e){
            e.printStackTrace();
        }
        return aux;
    }

    private void usarToolbar() {
        Toolbar toolbar = (Toolbar) findViewById(R.id.toolbar);
        setSupportActionBar(toolbar);

        if (getSupportActionBar() != null) {
            getSupportActionBar().setDisplayHomeAsUpEnabled(true);
        }
    }




    @Override
    public boolean onCreateOptionsMenu(Menu menu) {
        getMenuInflater().inflate(R.menu.actividad_detalle, menu);
        return true;
    }

    @Override
    public boolean onOptionsItemSelected(MenuItem item) {
        int id = item.getItemId();
        if (id == R.id.action_settings) {
            return true;
        }
        if (id == android.R.id.home){
            onBackPressed();
            return true;
        }
        return super.onOptionsItemSelected(item);
    }
}
