package example.org.spacciodescans;

import android.app.Activity;
import android.content.ContentResolver;
import android.content.Context;
import android.database.Cursor;
import android.graphics.Bitmap;
import android.graphics.BitmapFactory;
import android.support.v7.widget.RecyclerView;
import android.util.Base64;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.CursorAdapter;
import android.widget.ImageView;
import android.widget.TextView;

import com.bumptech.glide.Glide;
//import com.herprogramacion.restaurantericoparico.modelo.Comida;

import java.util.List;

/**
 * Created by kowalsky on 6/11/15.
 * Adaptador para el mobiliario en la sección "Categorías"
 */
public class AdaptadorCategorias extends RecyclerView.Adapter<AdaptadorCategorias.ViewHolder> {


    private Cursor cursor;
    public AdaptadorCategorias(String categoria, Activity activity) {
        ContentResolver cr = activity.getContentResolver();
        String where = ProveedorContenido.COL_CATEGORIA+ " = " + "'"+categoria+"'";
        cursor = cr.query(ProveedorContenido.CONTENT_URI, null, where, null, null);

    }


    /**interface y métodos para crear un listener para el reciclerView**/
    private OnItemClickListener listener;
    public interface OnItemClickListener {
        void onItemClick(ViewHolder item, int position);
    }
    public void setOnItemClickListener(OnItemClickListener listener) {
        this.listener = listener;
    }
    public OnItemClickListener getOnItemClickListener() {
        return listener;
    }




    public static class ViewHolder extends RecyclerView.ViewHolder implements View.OnClickListener{
        // Campos respectivos de un item
        public TextView nombre;
        public TextView precio;
        public ImageView imagen;
        private AdaptadorCategorias padre;

        public ViewHolder(View v, AdaptadorCategorias padre) {
            super(v);
            this.padre = padre;
            nombre = (TextView) v.findViewById(R.id.nombre_prod);
            precio = (TextView) v.findViewById(R.id.precio_prod);
            imagen = (ImageView) v.findViewById(R.id.miniatura_prod);
            v.setOnClickListener(this);
        }

        @Override
        public void onClick(View v) {
            final OnItemClickListener listener = padre.getOnItemClickListener();
            if (listener != null) {
                listener.onItemClick(this, getAdapterPosition());
            }
        }
    }

    @Override
    public long getItemId(int position) {
        if(cursor.moveToPosition(position)){
            return Long.parseLong(cursor.getString(0));
        }
        return 0;
    }


    @Override
    public int getItemCount() {
        return cursor.getCount();
    }

    @Override
    public ViewHolder onCreateViewHolder(ViewGroup viewGroup, int i) {
        View v = LayoutInflater.from(viewGroup.getContext())
                .inflate(R.layout.item_lista_categorias, viewGroup, false);
        return new ViewHolder(v, this);
    }

    @Override
    public void onBindViewHolder(ViewHolder viewHolder, int i) {

        if(cursor != null && cursor.moveToPosition(i)){
            viewHolder.nombre.setText(cursor.getString(1));
            viewHolder.precio.setText(cursor.getString(2));
            viewHolder.imagen.setImageBitmap(setPhoto(cursor.getString(7)));
        }
    }
    private Bitmap setPhoto(String imagen) {
        Bitmap aux=null;
        try{
            byte[] byteData = Base64.decode(imagen, Base64.DEFAULT);
            aux = BitmapFactory.decodeByteArray(byteData, 0, byteData.length);
        } catch (Exception e){
            e.printStackTrace();
        }
        return aux;
    }


}