package example.org.spacciodescans;
import android.content.Intent;
import android.os.Bundle;
import android.support.v4.app.Fragment;
import android.support.v7.widget.GridLayoutManager;
import android.support.v7.widget.RecyclerView;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;


/**
 * Fragmento que representa el contenido de cada pestaña dentro de la sección "Categorías"
 */
public class FragmentCategories extends Fragment implements AdaptadorCategorias.OnItemClickListener{

    private static final String INDICE_SECCION = "example.org.spacciodescans.FragmentoCategoriesTab.extra.INDICE_SECCION";

    private RecyclerView reciclador;
    private GridLayoutManager layoutManager;
    private AdaptadorCategorias adaptador;

    public static FragmentCategories nuevaInstancia(int indiceSeccion) {
        FragmentCategories fragment = new FragmentCategories();
        Bundle args = new Bundle();
        args.putInt(INDICE_SECCION, indiceSeccion);
        fragment.setArguments(args);
        return fragment;
    }

    @Override
    public View onCreateView(LayoutInflater inflater, ViewGroup container,
                             Bundle savedInstanceState) {
        View view = inflater.inflate(R.layout.fragmento_grupo_items, container, false);

        reciclador = (RecyclerView) view.findViewById(R.id.reciclador);
        reciclador.setHasFixedSize(true);
        layoutManager = new GridLayoutManager(getActivity(), 2);
        reciclador.setLayoutManager(layoutManager);

        int indiceSeccion = getArguments().getInt(INDICE_SECCION);
        switch (indiceSeccion) {
            case 0:
                adaptador = new AdaptadorCategorias("descanso", getActivity());
                break;
            case 1:
                adaptador = new AdaptadorCategorias("mobiliario", getActivity());
                break;
            case 2:
                adaptador = new AdaptadorCategorias("complementos", getActivity());
                break;
        }
        adaptador.setHasStableIds(true);
        adaptador.setOnItemClickListener(this);
        reciclador.setAdapter(adaptador);

        return view;
    }


    @Override
    public void onItemClick(AdaptadorCategorias.ViewHolder item, int position) {
        Intent intent = new Intent(getContext(), ActividadDetalle.class);
        int itemId = (int)item.getItemId();
        Intent i = new Intent(getActivity(), ActividadDetalle.class);
        i.putExtra("id", String.valueOf(itemId));
        startActivity(i);

    }
}
