package example.org.spacciodescans;

import android.support.v4.content.CursorLoader;
import android.content.Intent;
import android.database.Cursor;
import android.os.Bundle;
import android.support.v4.app.Fragment;
import android.support.v7.widget.LinearLayoutManager;
import android.support.v7.widget.RecyclerView;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;



/**
 * Created by kowalsky on 2/11/15.
 */
public class FragmentHome extends Fragment implements android.support.v4.app.LoaderManager.LoaderCallbacks<Cursor> {
    private RecyclerView reciclador;
    private RecyclerView.LayoutManager layoutManager;
    private MyListCursorAdapter myListCursorAdapter;

    public FragmentHome() {
    }

    @Override
    public View onCreateView(LayoutInflater inflater, ViewGroup container,
                             Bundle savedInstanceState) {
        View view = inflater.inflate(R.layout.fragmento_inicio, container, false);

        reciclador = (RecyclerView) view.findViewById(R.id.reciclador);
        reciclador.setHasFixedSize(true);
        layoutManager = new LinearLayoutManager(getActivity());
        reciclador.setLayoutManager(layoutManager);

        return view;
    }


    @Override
    public void onActivityCreated(Bundle savedInstanceState) {
        super.onActivityCreated(savedInstanceState);

        myListCursorAdapter = new MyListCursorAdapter(getActivity(), null);
        reciclador.setAdapter(myListCursorAdapter);

        getLoaderManager().initLoader(0, null, this);

        myListCursorAdapter.setOnItemClickListener(new MyListCursorAdapter.OnItemClickListener() {
            @Override
            public void onItemClick(View itemView, int position) {
                Cursor cursor = myListCursorAdapter.mCursor;
                cursor.moveToPosition(position);

                String id = cursor.getString(0);
                Intent i = new Intent(getActivity(), ActividadDetalle.class);
                i.putExtra("id", id);
                startActivity(i);
            }
        });

    }


    @Override
    public android.support.v4.content.Loader<Cursor> onCreateLoader(int id, Bundle args) {

        String[] projection = new String[] {
                ProveedorContenido.COL_ID,
                ProveedorContenido.COL_NOMBRE,
                ProveedorContenido.COL_DESCRIPCION,
                ProveedorContenido.COL_PRECIO,
                ProveedorContenido.COL_OFERTA,
                ProveedorContenido.COL_CATEGORIA,
                ProveedorContenido.COL_TEXTO,
                ProveedorContenido.COL_PHOTO,
        };

        return new CursorLoader(this.getActivity(), ProveedorContenido.CONTENT_URI, projection, null, null, null);
    }

    @Override
    public void onLoadFinished(android.support.v4.content.Loader<Cursor> loader, Cursor data) {
        myListCursorAdapter.swapCursor(data);
    }

    @Override
    public void onLoaderReset(android.support.v4.content.Loader<Cursor> loader) {
        myListCursorAdapter.swapCursor(null);
    }

    @Override
    public void onDestroy() {
        super.onDestroy();
        try {
            getLoaderManager().destroyLoader(0);
            if (myListCursorAdapter != null) {
                myListCursorAdapter.changeCursor(null);
                myListCursorAdapter = null;
            }
        } catch (Throwable localThrowable) {
            // Proyectar la excepción
        }
    }

}
