package example.org.spacciodescans;

import android.content.ContentResolver;
import android.content.Context;
import android.content.SharedPreferences;
import android.database.Cursor;
import android.graphics.Bitmap;
import android.graphics.BitmapFactory;
import android.os.Bundle;
import android.support.v4.app.Fragment;
import android.util.Base64;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.ImageView;
import android.widget.TextView;

/**
 * Created by kowalsky on 13/11/15.
 */
public class FragmentOferta extends Fragment {
    private Cursor cursor;
    private TextView precio, info, texto, textoLargo;
    private ImageView imagen;
    private final int OFERTA = 1;

    public FragmentOferta(){
    }

    @Override
    public View onCreateView(LayoutInflater inflater, ViewGroup container,
                             Bundle savedInstanceState) {
        View view = inflater.inflate(R.layout.fragmento_oferta, container, false);
        precio = (TextView) view.findViewById(R.id.precioOferta);
        info = (TextView)view.findViewById(R.id.infoOferta);
        texto = (TextView)view.findViewById(R.id.textoOferta);
        textoLargo = (TextView) view.findViewById(R.id.textolargoOferta);
        imagen = (ImageView) view.findViewById(R.id.imgOferta);

        return view;
    }

    @Override
    public void onActivityCreated(Bundle savedInstanceState) {
        super.onActivityCreated(savedInstanceState);

        SharedPreferences preferences = getContext().getSharedPreferences("checkOffers", Context.MODE_PRIVATE);
        SharedPreferences.Editor editor = preferences.edit();
        editor.putBoolean("checked", true);
        editor.apply();


        ContentResolver cr = getActivity().getContentResolver();
        String where = ProveedorContenido.COL_OFERTA + " = " + OFERTA;
        cursor = cr.query(ProveedorContenido.CONTENT_URI, null, where, null, null);

        if(cursor != null && cursor.moveToNext()) {
            imagen.setImageBitmap(setPhoto(cursor.getString(7)));
            precio.setText(cursor.getString(3));
            texto.setText(cursor.getString(2));
            textoLargo.setText(cursor.getString(6));
        }
    }

    private Bitmap setPhoto(String imagen) {
        Bitmap aux=null;
        try{
            byte[] byteData = Base64.decode(imagen, Base64.DEFAULT);
            aux = BitmapFactory.decodeByteArray(byteData, 0, byteData.length);
        } catch (Exception e){
            e.printStackTrace();
        }
        return aux;
    }


}
