package example.org.spacciodescans;

import android.content.Intent;
import android.net.Uri;
import android.os.Bundle;
import android.support.v4.app.Fragment;
import android.view.LayoutInflater;
import android.view.MenuItem;
import android.view.View;
import android.view.ViewGroup;
import android.widget.Button;
import android.widget.Toast;

import com.google.android.gms.maps.CameraUpdateFactory;
import com.google.android.gms.maps.GoogleMap;
import com.google.android.gms.maps.OnMapReadyCallback;
import com.google.android.gms.maps.SupportMapFragment;
import com.google.android.gms.maps.model.BitmapDescriptorFactory;
import com.google.android.gms.maps.model.LatLng;
import com.google.android.gms.maps.model.MarkerOptions;

/**
 *
 * Created by kowalsky on 9/11/15.
 */
public class FragmentWhere extends Fragment{
    private final LatLng SPACCIO = new LatLng(41.548110, 2.085499);
    private GoogleMap mapa;
    private Button button1, button2, button3;

    @Override public View onCreateView(LayoutInflater inflater, ViewGroup container,
                             Bundle savedInstanceState) {
        View view = inflater.inflate(R.layout.wherelayout, container, false);
        button1 = (Button) view.findViewById(R.id.button1);
        button2 = (Button) view.findViewById(R.id.button2);
        button3 = (Button) view.findViewById(R.id.button3);

        return view;
    }
    @Override public void onActivityCreated(Bundle savedInstanceState) {
        super.onActivityCreated(savedInstanceState);

        SupportMapFragment fragment = ((SupportMapFragment) getChildFragmentManager().findFragmentById(R.id.map));
        fragment.getMapAsync(new OnMapReadyCallback() {
            @Override
            public void onMapReady(GoogleMap googleMap) {
                mapa = googleMap;
                mapa.setMapType(GoogleMap.MAP_TYPE_SATELLITE);
                mapa.moveCamera(CameraUpdateFactory.newLatLngZoom(SPACCIO, 15));
                mapa.setMyLocationEnabled(true);
                mapa.getUiSettings().setZoomControlsEnabled(false);
                mapa.getUiSettings().setCompassEnabled(true);
                mapa.addMarker(new MarkerOptions()
                        .position(SPACCIO)
                        .title("Spaccio Descans/o")
                        .snippet("Nuestra tienda, bien visible.")
                        .icon(BitmapDescriptorFactory
                                .fromResource(android.R.drawable.ic_menu_myplaces))
                        .anchor(0.5f, 0.5f));
                mapa.setOnMapClickListener(new GoogleMap.OnMapClickListener() {
                    @Override
                    public void onMapClick(LatLng latLng) {
                        mapa.addMarker(new MarkerOptions().position(latLng).
                                icon(BitmapDescriptorFactory.defaultMarker(BitmapDescriptorFactory.HUE_YELLOW)));
                    }
                });
            }
        });
        button1.setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View v) {
                mapa.moveCamera(CameraUpdateFactory.newLatLng(SPACCIO));
            }
        });
        button2.setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View v) {
                if (mapa.getMyLocation() != null)
                    mapa.animateCamera(CameraUpdateFactory.newLatLngZoom(new LatLng(mapa.getMyLocation()
                            .getLatitude(), mapa.getMyLocation().getLongitude()), 15));
            }
        });
        button3.setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View v) {
                verMapa(v);
            }
        });
    }

    public void verMapa(View view) {
        Uri uri=null;
        if(mapa.getMyLocation()!=null) {
            double lat = mapa.getMyLocation().getLatitude();
            double lon = mapa.getMyLocation().getLongitude();
            if (lat != 0 || lon != 0) {
                uri = Uri.parse("http://maps.google.com/maps?daddr="+lat+","+lon+"+to:"+"41.548110, 2.085499");

            }
            Intent intent = new Intent(Intent.ACTION_VIEW, uri);
            startActivity(intent);
        }else{
            Toast.makeText(getContext(), "Vuelve a intentarlo",Toast.LENGTH_SHORT).show();
        }
    }

    @Override
    public boolean onOptionsItemSelected(MenuItem item) {
        switch (item.getItemId()) {

            default: super.onOptionsItemSelected(item);
        }
        return false;
    }

}
