package example.org.spacciodescans;

import android.content.BroadcastReceiver;
import android.content.Context;
import android.content.Intent;
import android.content.SharedPreferences;
import android.os.Handler;
import android.os.SystemClock;
import java.util.Timer;
import java.util.TimerTask;



/**
 * Created by kowalsky on 16/11/15.
 */
public class IntervalCheckOffers extends BroadcastReceiver {

    public static final long ALARM_TRIGGER_AT_TIME = SystemClock.elapsedRealtime() + 20000;
    public static final long ALARM_INTERVAL_24H = 1000 * 60 * 60 * 24;
    private Timer timer;
    private TimerTask timerTask;
    private final Handler handler = new Handler();

    @Override
    public void onReceive(Context context, Intent intent) {

        SharedPreferences preferences = context.getSharedPreferences("checkOffers", Context.MODE_PRIVATE);
        SharedPreferences.Editor editor = preferences.edit();
        editor.putBoolean("checked", false);
        editor.apply();

        timer = new Timer();
        initializeTimerTask(context);
        timer.schedule(timerTask, ALARM_TRIGGER_AT_TIME, ALARM_INTERVAL_24H);
    }

    private void initializeTimerTask(final Context context) {
        timerTask = new TimerTask() {
            @Override
            public void run() {
                handler.post(new Runnable() {
                    @Override
                    public void run() {
                        SharedPreferences preferences = context.getSharedPreferences("checkOffers", Context.MODE_PRIVATE);
                        boolean checked = preferences.getBoolean("checked", false);
                        if(!checked){
                            context.startService(new Intent(context, CheckOffers.class));
                        }
                    }
                });
            }
        };
    }
}
