package example.org.spacciodescans;

import android.content.Context;
import android.database.Cursor;
import android.graphics.Bitmap;
import android.graphics.BitmapFactory;
import android.support.v7.widget.RecyclerView;
import android.util.Base64;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.ImageView;
import android.widget.TextView;

/**
 * Created by kowalsky on 6/11/15.
 */
public class MyListCursorAdapter extends CursorRecyclerViewAdapter<MyListCursorAdapter.ViewHolder>{


    public MyListCursorAdapter(Context context, Cursor cursor){
        super(context,cursor);
    }

    private static OnItemClickListener listener;

    public interface OnItemClickListener {
        void onItemClick(View itemView, int position);
    }
    public void setOnItemClickListener(OnItemClickListener listener) {
        MyListCursorAdapter.listener = listener;
    }



    public static class ViewHolder extends RecyclerView.ViewHolder {

        public TextView nombre;
        public TextView descripcion;
        public TextView precio;
        public ImageView photo;

        public ViewHolder(final View view) {
            super(view);
            nombre = (TextView) view.findViewById(R.id.nombre);
            descripcion= (TextView) view.findViewById(R.id.descripcion);
            precio = (TextView) view.findViewById(R.id.precio);
            photo = (ImageView) view.findViewById(R.id.photo);

            view.setOnClickListener(new View.OnClickListener() {
                @Override
                public void onClick(View v) {
                    if(listener != null) listener.onItemClick(view, getLayoutPosition());
                }
            });

        }
    }

    @Override
    public ViewHolder onCreateViewHolder(ViewGroup parent, int viewType) {
        View itemView = LayoutInflater.from(parent.getContext()).inflate(R.layout.card_view, parent, false);
        ViewHolder vh = new ViewHolder(itemView);
        return vh;
    }

    @Override
    public void onBindViewHolder(ViewHolder viewHolder, Cursor cursor) {

        Bitmap imagen = setPhoto(cursor.getString(7));

        viewHolder.nombre.setText(cursor.getString(1));
        viewHolder.descripcion.setText(cursor.getString(2));
        viewHolder.precio.setText(cursor.getString(3)+" €");
        viewHolder.photo.setImageBitmap(imagen);
    }

    //método para decodificar la imagen
    private Bitmap setPhoto(String imagen) {
        Bitmap aux=null;
        try{
            byte[] byteData = Base64.decode(imagen, Base64.DEFAULT);
            aux = BitmapFactory.decodeByteArray(byteData, 0, byteData.length);
        } catch (Exception e){
            e.printStackTrace();
        }
        return aux;
    }


}